package WfInvoiceDB;
use utf8;
use strict;
use warnings;

=head1 NAME

WfInvoiceDB - DBIx::Class::Schema::Loader class

=head1 SYNOPSIS

See L<WfInvoice>

=head1 DESCRIPTION

Generated by L<Catalyst::Model::DBIC::Schema> for use in L<WfInvoice::Model::WfInvoiceDB>

=head1 LICENSE

    This file is part of WfInvoice -- the free invoicing software
    Copyright (C) 2012 Anton Katsarov <anton@webface.bg>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

use base qw/DBIx::Class::Schema/;

__PACKAGE__->load_classes(
  { "WfInvoiceDB" => [
      qw/
        Users
        Roles
        UserRole
        Contractors
        Invoices
        InvoicesItems
        InvoicesPrefixes
        Currencies
        Proforms
        ProformsItems
        PaymentMethods
        /
    ]
  }
);


1;

